---
title: Event details
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Waiting Rooms](https://developers.cloudflare.com/api/go/resources/waiting_rooms)

[Events](https://developers.cloudflare.com/api/go/resources/waiting_rooms/subresources/events)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Event details

client.WaitingRooms.Events.Get(ctx, waitingRoomID, eventID, query) (\*[Event](<https://developers.cloudflare.com/api/go/resources/waiting_rooms#(resource)%20waiting_rooms.events%20%3E%20(model)%20event%20%3E%20(schema)>), error)

GET/zones/{zone\_id}/waiting\_rooms/{waiting\_room\_id}/events/{event\_id}

Fetches a single configured event for a waiting room.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Waiting Rooms Read``Waiting Rooms Write`

##### ParametersExpand Collapse

waitingRoomID string

[Link to this property](<#(resource)%20waiting_rooms.events%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20waiting_room_id%20%3E%20(schema)>)

eventID string

[Link to this property](<#(resource)%20waiting_rooms.events%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20event_id%20%3E%20(schema)>)

<details>

<summary>

query EventGetParams

</summary>

ZoneID param.Field\[string]

Identifier.

maxLength32

<a href="#(resource)%20waiting_rooms.events%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20waiting_rooms.events%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type Event struct{…}

</summary>

ID stringOptional

<a href="#(resource)%20waiting_rooms.events%20%3E%20(model)%20event%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

CreatedOn TimeOptional

formatdate-time

<a href="#(resource)%20waiting_rooms.events%20%3E%20(model)%20event%20%3E%20(schema)%20%3E%20(property)%20created_on">Link to this property</a>

CustomPageHTML stringOptional

If set, the event will override the waiting room’s <code>custom_page_html</code> property while it is active. If null, the event will inherit it.

<a href="#(resource)%20waiting_rooms.events%20%3E%20(model)%20event%20%3E%20(schema)%20%3E%20(property)%20custom_page_html">Link to this property</a>

Description stringOptional

A note that you can use to add more details about the event.

<a href="#(resource)%20waiting_rooms.events%20%3E%20(model)%20event%20%3E%20(schema)%20%3E%20(property)%20description">Link to this property</a>

DisableSessionRenewal boolOptional

If set, the event will override the waiting room’s <code>disable_session_renewal</code> property while it is active. If null, the event will inherit it.

<a href="#(resource)%20waiting_rooms.events%20%3E%20(model)%20event%20%3E%20(schema)%20%3E%20(property)%20disable_session_renewal">Link to this property</a>

EventEndTime stringOptional

An ISO 8601 timestamp that marks the end of the event.

<a href="#(resource)%20waiting_rooms.events%20%3E%20(model)%20event%20%3E%20(schema)%20%3E%20(property)%20event_end_time">Link to this property</a>

EventStartTime stringOptional

An ISO 8601 timestamp that marks the start of the event. At this time, queued users will be processed with the event’s configuration. The start time must be at least one minute before <code>event_end_time</code>.

<a href="#(resource)%20waiting_rooms.events%20%3E%20(model)%20event%20%3E%20(schema)%20%3E%20(property)%20event_start_time">Link to this property</a>

ModifiedOn TimeOptional

formatdate-time

<a href="#(resource)%20waiting_rooms.events%20%3E%20(model)%20event%20%3E%20(schema)%20%3E%20(property)%20modified_on">Link to this property</a>

Name stringOptional

A unique name to identify the event. Only alphanumeric characters, hyphens and underscores are allowed.

<a href="#(resource)%20waiting_rooms.events%20%3E%20(model)%20event%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

NewUsersPerMinute int64Optional

If set, the event will override the waiting room’s <code>new_users_per_minute</code> property while it is active. If null, the event will inherit it. This can only be set if the event’s <code>total_active_users</code> property is also set.

maximum2147483647

minimum200

<a href="#(resource)%20waiting_rooms.events%20%3E%20(model)%20event%20%3E%20(schema)%20%3E%20(property)%20new_users_per_minute">Link to this property</a>

PrequeueStartTime stringOptional

An ISO 8601 timestamp that marks when to begin queueing all users before the event starts. The prequeue must start at least five minutes before <code>event_start_time</code>.

<a href="#(resource)%20waiting_rooms.events%20%3E%20(model)%20event%20%3E%20(schema)%20%3E%20(property)%20prequeue_start_time">Link to this property</a>

QueueingMethod stringOptional

If set, the event will override the waiting room’s <code>queueing_method</code> property while it is active. If null, the event will inherit it.

<a href="#(resource)%20waiting_rooms.events%20%3E%20(model)%20event%20%3E%20(schema)%20%3E%20(property)%20queueing_method">Link to this property</a>

SessionDuration int64Optional

If set, the event will override the waiting room’s <code>session_duration</code> property while it is active. If null, the event will inherit it.

maximum30

minimum1

<a href="#(resource)%20waiting_rooms.events%20%3E%20(model)%20event%20%3E%20(schema)%20%3E%20(property)%20session_duration">Link to this property</a>

ShuffleAtEventStart boolOptional

If enabled, users in the prequeue will be shuffled randomly at the <code>event_start_time</code>. Requires that <code>prequeue_start_time</code> is not null. This is useful for situations when many users will join the event prequeue at the same time and you want to shuffle them to ensure fairness. Naturally, it makes the most sense to enable this feature when the <code>queueing_method</code> during the event respects ordering such as **fifo**, or else the shuffling may be unnecessary.

<a href="#(resource)%20waiting_rooms.events%20%3E%20(model)%20event%20%3E%20(schema)%20%3E%20(property)%20shuffle_at_event_start">Link to this property</a>

Suspended boolOptional

Suspends or allows an event. If set to <code>true</code>, the event is ignored and traffic will be handled based on the waiting room configuration.

<a href="#(resource)%20waiting_rooms.events%20%3E%20(model)%20event%20%3E%20(schema)%20%3E%20(property)%20suspended">Link to this property</a>

TotalActiveUsers int64Optional

If set, the event will override the waiting room’s <code>total_active_users</code> property while it is active. If null, the event will inherit it. This can only be set if the event’s <code>new_users_per_minute</code> property is also set.

maximum2147483647

minimum200

<a href="#(resource)%20waiting_rooms.events%20%3E%20(model)%20event%20%3E%20(schema)%20%3E%20(property)%20total_active_users">Link to this property</a>

<details>

<summary>

TurnstileAction EventTurnstileActionOptional

If set, the event will override the waiting room’s <code>turnstile_action</code> property while it is active. If null, the event will inherit it.

</summary>

One of the following:

const EventTurnstileActionLog EventTurnstileAction = "log"

<a href="#(resource)%20waiting_rooms.events%20%3E%20(model)%20event%20%3E%20(schema)%20%3E%20(property)%20turnstile_action%20%3E%20(member)%200">Link to this property</a>

const EventTurnstileActionInfiniteQueue EventTurnstileAction = "infinite\_queue"

<a href="#(resource)%20waiting_rooms.events%20%3E%20(model)%20event%20%3E%20(schema)%20%3E%20(property)%20turnstile_action%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20waiting_rooms.events%20%3E%20(model)%20event%20%3E%20(schema)%20%3E%20(property)%20turnstile_action">Link to this property</a>

<details>

<summary>

TurnstileMode EventTurnstileModeOptional

If set, the event will override the waiting room’s <code>turnstile_mode</code> property while it is active. If null, the event will inherit it.

</summary>

One of the following:

const EventTurnstileModeOff EventTurnstileMode = "off"

<a href="#(resource)%20waiting_rooms.events%20%3E%20(model)%20event%20%3E%20(schema)%20%3E%20(property)%20turnstile_mode%20%3E%20(member)%200">Link to this property</a>

const EventTurnstileModeInvisible EventTurnstileMode = "invisible"

<a href="#(resource)%20waiting_rooms.events%20%3E%20(model)%20event%20%3E%20(schema)%20%3E%20(property)%20turnstile_mode%20%3E%20(member)%201">Link to this property</a>

const EventTurnstileModeVisibleNonInteractive EventTurnstileMode = "visible\_non\_interactive"

<a href="#(resource)%20waiting_rooms.events%20%3E%20(model)%20event%20%3E%20(schema)%20%3E%20(property)%20turnstile_mode%20%3E%20(member)%202">Link to this property</a>

const EventTurnstileModeVisibleManaged EventTurnstileMode = "visible\_managed"

<a href="#(resource)%20waiting_rooms.events%20%3E%20(model)%20event%20%3E%20(schema)%20%3E%20(property)%20turnstile_mode%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20waiting_rooms.events%20%3E%20(model)%20event%20%3E%20(schema)%20%3E%20(property)%20turnstile_mode">Link to this property</a>

</details>

[Link to this property](<#(resource)%20waiting_rooms.events%20%3E%20(model)%20event%20%3E%20(schema)>)

### Event details

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/waiting_rooms"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  event, err := client.WaitingRooms.Events.Get(
    context.TODO(),
    "699d98642c564d2e855e9661899b7252",
    "25756b2dfe6e378a06b033b670413757",
    waiting_rooms.EventGetParams{
      ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", event.ID)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "25756b2dfe6e378a06b033b670413757",
    "created_on": "2014-01-01T05:20:00.12345Z",
    "custom_page_html": "{{#waitTimeKnown}} {{waitTime}} mins {{/waitTimeKnown}} {{^waitTimeKnown}} Event is prequeueing / Queue all enabled {{/waitTimeKnown}}",
    "description": "Production event - DO NOT MODIFY",
    "disable_session_renewal": true,
    "event_end_time": "2021-09-28T17:00:00Z",
    "event_start_time": "2021-09-28T15:30:00Z",
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "name": "production_webinar_event",
    "new_users_per_minute": 200,
    "prequeue_start_time": "2021-09-28T15:00:00Z",
    "queueing_method": "random",
    "session_duration": 1,
    "shuffle_at_event_start": true,
    "suspended": true,
    "total_active_users": 200,
    "turnstile_action": "log",
    "turnstile_mode": "off"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "25756b2dfe6e378a06b033b670413757",
    "created_on": "2014-01-01T05:20:00.12345Z",
    "custom_page_html": "{{#waitTimeKnown}} {{waitTime}} mins {{/waitTimeKnown}} {{^waitTimeKnown}} Event is prequeueing / Queue all enabled {{/waitTimeKnown}}",
    "description": "Production event - DO NOT MODIFY",
    "disable_session_renewal": true,
    "event_end_time": "2021-09-28T17:00:00Z",
    "event_start_time": "2021-09-28T15:30:00Z",
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "name": "production_webinar_event",
    "new_users_per_minute": 200,
    "prequeue_start_time": "2021-09-28T15:00:00Z",
    "queueing_method": "random",
    "session_duration": 1,
    "shuffle_at_event_start": true,
    "suspended": true,
    "total_active_users": 200,
    "turnstile_action": "log",
    "turnstile_mode": "off"
  },
  "success": true
}
```